This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 981197 - (CVE-2013-2240) CVE-2013-2240 gallery3: Improper stripping of URL fragments in flowplayer SWF file might lead to reply attacks (a different flaw than CVE-2013-2138)
CVE-2013-2240 gallery3: Improper stripping of URL fragments in flowplayer SWF...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130628,reported=2...
: Security
Depends On: 981218 981219
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 05:05 EDT by Jan Lieskovsky
Modified: 2013-07-16 02:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 02:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-04 05:05:31 EDT
A security flaw was found in the way flowplayer SWF file handling functionality of Gallery version 3, an open source project with the goal to develop and support leading photo sharing web application solutions, processed certain URL fragments passed to this file (certain URL fragments were not stripped properly when these files were called via direct URL request(s)). A remote attacker could use this flaw to conduct replay attacks.

A different vulnerability than CVE-2013-2138.

References:
[1] http://galleryproject.org/gallery_3_0_9

Upstream ticket:
[2] http://sourceforge.net/apps/trac/gallery/ticket/2073

Relevant upstream patch:
[3] https://github.com/gallery/gallery3/commit/c5318bb1a2dd266b50317a2adb74d74338593733
Comment 1 Jan Lieskovsky 2013-07-04 05:21:03 EDT
This issue affects the versions of the gallery3 package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update.

--

This issue affects the versions of the gallery3 package, as shipped with Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-07-04 05:22:04 EDT
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/07/04/7
Comment 3 Jan Lieskovsky 2013-07-04 05:23:47 EDT
Created gallery3 tracking bugs for this issue:

Affects: fedora-all [bug 981218]
Affects: epel-6 [bug 981219]

Note You need to log in before you can comment on or make changes to this bug.